# “食话食说”APP 页面结构清单 (Sitemap) V1.0

本清单基于产品需求文档V1.0，旨在罗列出APP所需的全部页面，为后续的UI/UX设计和开发提供清晰的范围和指引。

| 一级模块 | 二级模块/功能 | 页面名称 | 核心功能与内容 |
| :--- | :--- | :--- | :--- |
| **通用/基础** | 用户账户 | 启动/闪屏页 | App Logo展示 |
| | | 登录/注册页 | 手机号、微信一键登录 |
| | | 用户协议与隐私政策页 | 法规要求的静态文本页面 |
| | | 引导/初始设置页 | 首次进入时，引导用户设置基础健康标签 |
| **核心体验** | **首页 (Home)** | **首页** | **核心功能区、个性化动态、内容信息流** |
| | 智能食鉴 | 扫码/拍照页 | 调起摄像头，进行扫码或拍照 |
| | | **分析结果页** | **展示食品安全/营养评级、解读、替代品等** |
| | | | SHI评分模型说明页 | 详细解释“食话食说健康指数”的计算方法 |
| | | 搜索页 | 输入框，用于搜索食品、成分、文章 |
| | | 搜索结果页 | 列表形式展示搜索结果 |
| **发现** | **内容中心** | **“发现”主页** | **健康资讯、评测、食物百科的聚合信息流** |
| | | 文章/视频详情页 | 展示单篇资讯或评测的完整内容 |
| | | 食物百科详情页 | 展示单个食材的营养、功效、禁忌等 |
| **健康厨房** | **智能食谱** | **“厨房”主页** | **个性化食谱推荐、菜谱分类入口** |
| | | 菜谱详情页 | 展示菜谱的用料、图文/视频步骤 |
| | | “冰箱有什么”页 | 用户输入已有食材的界面 |
| | | 菜谱搜索/筛选页 | 按口味、功效、食材等筛选菜谱 |
| **互动社区** | **社区中心** | 社区主页 | UGC内容的信息流广场 |
| | | 帖子详情页 | 展示单条用户分享（红黑榜/食谱）及评论 |
| | | 内容发布页 | 用户创建和编辑分享内容的编辑器 |
| | | | 上传新发现页 | 引导用户拍照上传数据库未收录的食品 |
| | | 话题/圈子详情页 | 特定主题（如“减脂餐打卡”）的内容聚合页 |
| **个人中心** | **“我的”** | **“我的”主页** | **个人信息、各功能入口（档案、订单、设置等）** |
| | 健康档案 | 家庭成员管理页 | 列表展示家庭成员，支持增删改 |
| | | **健康档案设置页** | **为成员设置过敏原、疾病、偏好等标签** |
| | | 我的红黑榜页 | 展示用户收藏的推荐/避坑产品列表 |
| | | 我的徽章页 | 展示用户已获得的健康徽章及解锁条件 |
| | | 健康记录页 | 喝水、体重等轻量级数据记录与图表 |
| | 商城订单 | 我的订单列表页 | 展示用户的商城订单历史 |
| | | 订单详情页 | 展示单个订单的详细信息 |
| | 通用设置 | 设置页 | 账号安全、通知管理、关于我们、版本信息 |
| **健康商城** | **购物 (未来)** | 商城主页 | 商品分类、活动、推荐商品展示 |
| | | 商品详情页 | 展示单个商品的详细信息、价格、规格 |
| | | 购物车页 | 管理待购买的商品 |
| | | 确认订单/结算页 | 填写地址、选择支付方式、完成下单 |
